if not select(4, GetAddOnInfo("VisualThemes")) then
	return
end

hooksecurefunc("CreateFrame", function(_, name)
	if not VisualThemes then
		return
	end
	if name and name:match[[LibRockConfig]] then
		local frame = _G[name]
		local objType = frame:GetObjectType()
		if objType ~= "Texture" and objType ~= "Font" then
			if objType ~= "EditBox" then
				frame:Hide()
			end
			VisualThemes:RegisterFrames("Rock Config", 0, name)
			frame:Show()
		end
	end
end)